id: aws-access-key

info:
  name: AWS Access Key ID
  author: 302Found
  severity: low

file:
  - extensions:
      - all

    extractors:
      - type: regex
        regex:
          - "(A3T[A-Z0-9]|AKIA|AGPA|AROA|AIPA|ANPA|ANVA|ASIA)[A-Z0-9]{16}"